Bug 53301 - Return "vi" to same behavior that many years of RHL had
Return "vi" to same behavior that many years of RHL had
Status: CLOSED CURRENTRELEASE
Product: Red Hat Public Beta
Classification: Retired
Component: distribution (Show other bugs)
roswell
All Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-06 02:42 EDT by Dax Kelson
Modified: 2015-01-07 18:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-20 07:27:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dax Kelson 2001-09-06 02:42:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3+) Gecko/20010901

Description of problem:
After many many years of having "vi" invoke "vim" on Red Hat Linux, the
behavior changed.  Now you must install "vim-enhanced" (which isn't
installed by default), and then seperately run "vim" instead of "vi".

This change in behavior is bad.

Retraining fingers to type "vim", plus adding vim-enhanced to all the RH7
boxes I come across is tedious.

I've heard the same complaint from many people in my sysadmin circles.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install current Red Hat
2.
3.
	

Actual Results:  see above

Expected Results:  see above

Additional info:

see above
Comment 1 Mike A. Harris 2001-09-06 02:49:03 EDT
Bero, I think a good solution to this problem would be to
remove vi/vim from the distro entirely, and we could just
add symlinks in the xemacs package that point from vi/vim,
etc.

Sound ok?
;o)
Comment 2 Bernhard Rosenkraenzer 2001-09-06 03:24:16 EDT
mharris: Um no, we should just add Obsoletes: emacs xemacs to the vim-enhanced package to save valuable diskspace. ;)

dax: I tend to agree that this should be fixed
Comment 3 Bernhard Rosenkraenzer 2001-09-20 07:27:19 EDT
I've added a vi->vim link to the vim-enhanced package in 6.0-0.av.1 - 
vim-enhanced still needs to get into the comps file.

Note You need to log in before you can comment on or make changes to this bug.